import request from '@/utils/request'
//增加机台档案
export function addMachineInfo(data) {
  return request({
    url: '/doc/addMachineInfo',
    method: 'post',
    params: data
  })
}

//获取机台档案列表
export function getMachineInfoList(data) {
  return request({
    url: '/doc/queryMachineInfo',
    method: 'post',
    params: data
  })
}

//获取机台档案
export function getMachineInfoByID(data) {
  return request({
    url: '/doc/getMachineInfo',
    method: 'post',
    params: data
  })
}


//修改机台档案
export function updateMachineInfo(data) {
  return request({
    url: '/doc/updateMachineInfo',
    method: 'post',
    params: data
  })
}


//获取机型名称
export function getPrinterNameList(data) {
  return request({
    url: '/doc/getAllEnableMachineType',
    method: 'post',
    params: data
  })
}
